## phpunit 12.5.3

=== debian/changelog ===
phpunit (12.5.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Improve message
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 12 Dec 2025 10:27:52 +0100
