## phpunit 12.5.4

=== debian/changelog ===
phpunit (12.5.4-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Make AllowMockObjectsWithoutExpectations usable on test methods
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 16 Dec 2025 08:09:55 +0100
