## phpunit 12.5.5

=== debian/changelog ===
phpunit (12.5.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Basilius Sauter ]
  * Fixes #6470: Mocking a class with a covariant property hook setter
    leads to an unexpected fatal error

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Fri, 16 Jan 2026 06:02:47 +0100
