## phpunit 12.5.6

=== debian/changelog ===
phpunit (12.5.6-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Assert we have a current value"
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 10:22:24 +0100
