## phpunit 12.5.7

=== debian/changelog ===
phpunit (12.5.7-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ Kuba Werłos ]
  * Add tests showing the problem
  * Prevent `PHPUnit\Framework\Constraint\Count::getCountOf` from falling
    into infinite recursion

  [ Gabriel Ostrolucký ]
  * Make generated stubs manually instantiable

 -- David Prévot <taffit@debian.org>  Sun, 25 Jan 2026 07:22:18 +0100
