## phpunit 12.5.8

=== debian/changelog ===
phpunit (12.5.8-1ubuntu1) resolute; urgency=medium

  * d/control: bootstrap build by not auto-generating composer dependencies
    and dropping test dependencies
  * d/rules: skip build time tests

 -- Athos Ribeiro <athos@ubuntu.com>  Thu, 29 Jan 2026 08:42:54 -0300

phpunit (12.5.8-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Do not run PHPT test when its temporary file for code coverage
    information exists
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 27 Jan 2026 09:24:04 +0100
