=== debian/rules ===
--- 
+++ 
@@ -103,3 +103,5 @@
 override_dh_auto_clean:
 
 override_dh_auto_test:
+
+execute_before_dh_installman:
