## phpunit 12.5.9

=== debian/changelog ===
phpunit (12.5.9-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Kuba Werłos ]
  * Refactor fix for infinite recursion in `Count::getCountOf()` to use
    `sebastian/recursion-context`

  [ Nicolas PHILIPPE ]
  * Fix count in summary when tests skipped in BeforeClass hook

  [ David Prévot ]
  * Restore autoload template building
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Thu, 05 Feb 2026 18:25:50 +0100
