## phpunit 13.0.0

=== debian/changelog ===
phpunit (13.0.0-2ubuntu4) resolute; urgency=medium

  * Ignore test results to bootstrap

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Feb 2026 17:21:12 +0100

phpunit (13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2026 07:57:34 +0100

phpunit (13.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 06 Feb 2026 13:54:48 +0100
