=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_build:
 	# Build static classloader for shipping
+	phpabtpl composer.json > debian/autoload.php.tpl
+	sed -i "s#'/usr/share/php#__DIR__ . '/..#" debian/autoload.php.tpl
+	sed -i "s#/src##" debian/autoload.php.tpl
 	phpab --output src/Autoload.php \
 		--template debian/autoload.php.tpl src
 	# Build classloader for tests
@@ -71,37 +74,18 @@
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/src/FirstPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/tests/FirstPartyClassTest.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/tests/FirstPartyClassTest.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/src/FirstPartyClass.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/src/FirstPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/tests/FirstPartyClassTest.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/tests/FirstPartyClassTest.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/src/FirstPartyClass.php \
+		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed-with-ignored-suppression/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/src/Source.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-with-relative-directory/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline/src/Source.php \
-		--exclude tests/end-to-end/_files/baseline/generate-baseline/tests/Test.php \
-		--exclude tests/end-to-end/_files/baseline/invalid-baseline/tests/Test.php \
-		--exclude tests/end-to-end/_files/baseline/unsupported-baseline/tests/Test.php \
-		--exclude tests/end-to-end/_files/baseline/use-baseline/src/Source.php \
-		--exclude tests/end-to-end/_files/basic/unit/StatusTest.php \
-		--exclude tests/end-to-end/_files/force-covers-annotation/tests/Test.php \
-		--exclude tests/end-to-end/_files/phar-extension/tests/Test.php \
-		--exclude tests/_files/AlternativeSuffixTest.test.php \
-		tests
-	# Mimic install path
-	cp phpunit mimic/bin
-	cp -r src mimic/share/php/PHPUnit
-	ln -s /usr/share/php/DeepCopy mimic/share/php
-	ln -s /usr/share/php/PharIo mimic/share/php
-	ln -s /usr/share/php/SebastianBergmann mimic/share/php
-	ln -s /usr/share/php/staabm mimic/share/php
-
-	# Mimic phpunit.xsd path
-	ln -rs . mimic/share/php/data/PHPUnit
-
-override_dh_auto_clean:
-
-override_dh_auto_test:
-
-execute_before_dh_installman:
