## phpunit 13.0.1

=== debian/changelog ===
phpunit (13.0.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Share source map with child processes for process isolation
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 08 Feb 2026 09:49:15 +0100
