## phpunit 13.0.2

=== debian/changelog ===
phpunit (13.0.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 10 Feb 2026 18:48:49 +0100
