## phpunit 13.0.3

=== debian/changelog ===
phpunit (13.0.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 17 Feb 2026 06:58:11 +0100
