## phpunit 13.0.5

=== debian/changelog ===
phpunit (13.0.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Reorganize tests
  * Delete unused code
  * Classify issue trigger as "unknown" only when it is not "self", "direct",
    or "indirect"
  * Prepare release

  [ David Prévot ]
  * Limit excluded files
  * Limit tools filtering
  * Copy (instead of linking) dependencies at build time
  * Skip tests currently failing

 -- David Prévot <taffit@debian.org>  Mon, 23 Feb 2026 07:21:33 +0100
