=== debian/rules ===
--- 
+++ 
@@ -26,13 +26,6 @@
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/deprecation-trigger/_files/details-process-isolation/tests/Test.php \
 		--exclude tests/end-to-end/execution-order/fixture/test-classes-with-duration/FooTest.php \
 		--exclude tests/end-to-end/extension-cli/_files/class-does-not-implement-interface/tests/Test.php \
 		--exclude tests/end-to-end/extension-cli/_files/exception-in-extension-bootstrap-method/src/MyExtensionBootstrap.php \
@@ -65,27 +58,49 @@
 		--exclude tests/end-to-end/migration/_files/possibility-to-migrate-from-95-is-detected/tests/GreeterTest.php \
 		--exclude tests/end-to-end/regression/2448/Test.php \
 		--exclude tests/end-to-end/regression/4376/tests/Test.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/deprecation-in-test-code-ignored/tests/DeprecationInTestCodeTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct-indirect/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct-indirect/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct-indirect/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-direct/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self-trigger-identification-disabled/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-trigger-identification-disabled/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed-with-ignored-suppression/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/src/Source.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-with-relative-directory/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline/src/Source.php \
+		--exclude tests/end-to-end/_files/baseline/generate-baseline/tests/Test.php \
+		--exclude tests/end-to-end/_files/baseline/invalid-baseline/tests/Test.php \
+		--exclude tests/end-to-end/_files/baseline/unsupported-baseline/tests/Test.php \
+		--exclude tests/end-to-end/_files/baseline/use-baseline/src/Source.php \
+		--exclude tests/end-to-end/_files/basic/unit/StatusTest.php \
+		--exclude tests/end-to-end/_files/force-covers-annotation/tests/Test.php \
+		--exclude tests/end-to-end/_files/phar-extension/tests/Test.php \
+		--exclude tests/_files/AlternativeSuffixTest.test.php \
+		tests
+	# Mimic install path
+	cp phpunit mimic/bin
+	cp -r src mimic/share/php/PHPUnit
+	cp -r /usr/share/php/DeepCopy mimic/share/php
+	cp -r /usr/share/php/PharIo mimic/share/php
+	cp -r /usr/share/php/PhpParser mimic/share/php
+	cp -r /usr/share/php/SebastianBergmann mimic/share/php
+	cp -r /usr/share/php/staabm mimic/share/php
+	cp -r /usr/share/php/TheSeer mimic/share/php
+
+	# Mimic phpunit.xsd path
+	ln -rs . mimic/share/php/data/PHPUnit
+
+override_dh_auto_clean:
+
+override_dh_auto_test:
+	./mimic/bin/phpunit --display-skipped
+
+execute_before_dh_installman:
+	mkdir --parent $(CURDIR)/debian/tmp
+	help2man \
+		--help-option=\  \
+		--version-string=$(UPSTREAM) \
+		--source="phpunit $(UPSTREAM)" \
+		--no-info \
+		--include=$(CURDIR)/debian/phpunit.1.in \
+		"echo -n Usage: && ./phpunit --help|tail -n+4|sed 's/^  phpunit \[options\] <directory>/  or: phpunit [options] <directory>/'" \
+		> $(CURDIR)/debian/tmp/phpunit.1
+
+execute_before_dh_installchangelogs:
+	for i in $$(ls ChangeLog-*.md -r); do cat $$i >> CHANGELOG; done
